package com.fr.plugin;

import com.fr.decision.fun.HttpHandler;
import com.fr.decision.fun.impl.BaseHttpHandler;
import com.fr.decision.web.LoginComponent;
import com.fr.decision.webservice.utils.WebServiceUtils;
import com.fr.third.springframework.web.bind.annotation.RequestMethod;
import com.fr.web.Browser;
import com.fr.web.struct.AtomBuilder;
import com.fr.web.struct.PathGroup;
import com.fr.web.utils.WebUtils;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.HashMap;
//
public class LeanHttpHandler extends BaseHttpHandler {
    @Override
    public RequestMethod getMethod() {
        //如果返回null表示 支持任意类型
        //return RequestMethod.GET
        //return RequestMethod.POST
        return null;
    }

    @Override
    public String getPath() {
        return "/leanFineUI";
    }

    @Override
    public boolean isPublic() {
        //这里要和注册短url那儿一致
        return true;
    }

    @Override
    public void handle(HttpServletRequest request, HttpServletResponse response) throws Exception {
        String html = WebServiceUtils.parseWebPageResourceSafe("com/fr/plugin/web/lean.html",new HashMap<>());
        WebUtils.printAsString(response, html);
    }
}
